Loans
Create a disbursement
Creates a disbursement for a loan. Read more.
Body Parameters
account_number_id
stringOptionalID of the account number to which funds will be disbursed. Either bank_account_id or account_number_id must be specified. For offline disbursements, this is for record only and no funds will be disbursed.
amount
integerRequiredAmount (in cents) of the funds that will be disbursed.
bank_account_id
stringOptionalID of the bank account to which funds will be disbursed. Either bank_account_id or account_number_id must be specified. For offline disbursements, this is for record only and no funds will be disbursed.
currency
stringRequiredThe currency of the disbursement. Currently only USD is supported.
description
stringOptionalThe description of the loan disbursement. Maximum length: 127 characters.
details
objectOptionalTransfer monitoring details
address
objectOptionalAddress associated with the transfer for compliance and reporting purposes
city
stringOptionalCity name (max 255 characters)
country_code
stringOptionalTwo-letter ISO 3166-1 alpha-2 country code (e.g. US)
line_1
stringOptionalStreet address line 1 (max 255 characters)
line_2
stringOptionalStreet address line 2 (max 255 characters)
postal_code
stringOptionalPostal or ZIP code (max 24 characters)
state
stringOptionalState or province (max 255 characters)
authorization_method
stringOptionalThe authorization method used for the transfer
fx_amount
integerOptionalForeign exchange amount in the smallest unit of the foreign currency
fx_currency
stringOptionalThree-letter ISO 4217 currency code for the foreign exchange currency
internal_transfer_type
stringOptionalType of internal transfer for compliance categorization
merchant_category_code
stringOptionalMerchant category code (MCC) for the transfer
merchant_name
stringOptionalName of the merchant associated with the transfer
sender_name
stringOptionalName of the sender for compliance and reporting purposes
statement_description
stringOptionalDescription that appears on the bank account statement
website
stringOptionalWebsite URL associated with the transfer
hold
booleanOptionalIf set to true, creates a disbursement in a hold state. The disbursement will not be completed until the clear API is called. Disbursements in a hold state may be updated or canceled.
is_offline
booleanOptionalIf set to true, the disbursement will only increase the principal receivables sold to your platform. The retained principal receivables will not be impacted and no funds will be credited to the bank account. Read more.
loan_id
stringRequiredThe ID of the loan from which the disbursement is being made.